For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
  • Event API
      • GETGet a list of files
      • POSTCreate a file
      • GETGet the file lines of a file by the files ID
      • GETGet a file by its ID
      • PATCHUpdate a file
LoginSandbox
Event APIFiles

Create a file

POST
/v:version/files
POST
/v:version/files
$curl -X POST https://test.api.solvimon.com/v1/files \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "reference": "string",
> "file_name": "string",
> "type": "METER_DATA",
> "processing_type": "DEFAULT",
> "content": "string"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "reference": "string",
5 "file_name": "string",
6 "created_at": "string",
7 "status": "CREATED",
8 "type": "METER_DATA",
9 "name": "string",
10 "description": "string",
11 "customer_id": "string",
12 "processing_type": "DEFAULT",
13 "file_processing_settings_id": "string",
14 "meter_data": {
15 "meter_id": "string",
16 "override_ingest_timestamp": "2024-01-15T09:30:00Z"
17 },
18 "content_type": "string",
19 "column_headers": [
20 "string"
21 ],
22 "number_of_lines": 1,
23 "message": "string",
24 "download_settings": {
25 "external_location": "string"
26 }
27}

Requires the FILE.METER_DATA.CREATE permission.

Was this page helpful?
Previous

Get the file lines of a file by the files ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
file_namestringRequiredformat: "^[a-zA-Z0-9!#$%&-_.*\s]*$"0-256 characters
typeenumRequired
Allowed values:
processing_typeenum or nullRequired
Allowed values:
contentstringRequired
The content of the file, BASE64 encoded
statusenumOptional
namestring or nullOptionalformat: "^.*$"0-256 characters
descriptionstring or nullOptionalformat: "^.*$"0-256 characters
customer_idstring or nullOptional
file_processing_settings_idstring or nullOptional
meter_dataobjectOptional
content_typestringOptional
number_of_lineslongOptional
download_settingsobjectOptional

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
referencestringformat: "^\S+$"0-256 characters
file_namestringformat: "^[a-zA-Z0-9!#$%&-_.*\s]*$"0-256 characters
created_atstring or nullRead-only
statusenum
typeenum
Allowed values:
namestring or nullformat: "^.*$"0-256 characters
descriptionstring or nullformat: "^.*$"0-256 characters
customer_idstring or null
processing_typeenum or null
Allowed values:
file_processing_settings_idstring or null
meter_dataobject
content_typestring
column_headerslist of strings or nullRead-only
number_of_lineslong
messagestring or nullRead-only
download_settingsobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error